Bug 26724 - Improve link text for downloading the CSV file on patron import page
Summary: Improve link text for downloading the CSV file on patron import page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lisette Scheer
QA Contact: Testopia
URL:
Keywords:
: 26759 (view as bug list)
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2020-10-18 15:32 UTC by Katrin Fischer
Modified: 2021-01-10 23:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page (1.57 KB, patch)
2020-10-24 17:58 UTC, Lisette Scheer
Details | Diff | Splinter Review
Followup patch to further improve link text for downloading the CSV file on the patron import page. (1.56 KB, patch)
2020-10-25 17:31 UTC, Lisette Scheer
Details | Diff | Splinter Review
Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page (1.60 KB, patch)
2020-10-25 17:39 UTC, Lisette Scheer
Details | Diff | Splinter Review
Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page (1.63 KB, patch)
2020-10-27 15:44 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug: Improve link text for downloading the CSV file on patron import page. (1.68 KB, patch)
2020-10-27 17:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 26724: Improve link text for downloading the CSV file on patron import page. (1.74 KB, patch)
2020-11-01 13:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-18 15:32:41 UTC
On Tools > Patron import there is a link labelled "here" on the right side that should be improved (see depending bug 26722).
Comment 1 Katrin Fischer 2020-10-21 03:40:31 UTC
*** Bug 26759 has been marked as a duplicate of this bug. ***
Comment 2 Lisette Scheer 2020-10-24 17:58:46 UTC
Created attachment 112389 [details] [review]
Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page

Bug 26724: Improve link text for downloading the CSV file on patron import page

On tools > Patron Import there is a link labeled "here" on the right
side that should be more descriptive. This patch updates the link.

To test:
1. Go to tools
2. Select "Import Patrons"
3. On the right side of the screen, observe the "here" link in the
second list item.
4. Apply patch
5. Repeat steps 1-2
6. Observe the updated link.
7. Sign off
Comment 3 David Nind 2020-10-25 05:21:50 UTC
I would suggest removing "here". 

That is, just say "Download a starter CSV file with all the columns."
Comment 4 Katrin Fischer 2020-10-25 10:36:31 UTC
If you look at the examples on the main bug I think we should maybe also remove "Download" and just have "Starter CSV file" or "Sample CSV file" in the link text.
Comment 5 David Nind 2020-10-25 10:58:10 UTC
+1
Comment 6 Lisette Scheer 2020-10-25 17:31:50 UTC Comment hidden (obsolete)
Comment 7 Lisette Scheer 2020-10-25 17:39:22 UTC
Created attachment 112479 [details] [review]
Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page

Bug: 26724: Improve  link text for downloading the CSV file on patron import page.

On tools > Patron Import there is a link labeled "here" on the right
side that should be more descriptive. This patch updated the link.

To test:
1. Go to tools
2. Under patrons select "Import Patrons"
3. On the right side of the screen, observe the "here" link in the
second list item.
4. Apply patch.
5. Reload page.
6. Obsesrve the updated link text.
7. Sign off
Comment 8 David Nind 2020-10-25 19:17:50 UTC
The patch no longer applies 8-(

root@kohadevbox:koha(master)$ git bz apply 26724
Bug 26724 - Improve link text for downloading the CSV file on patron import page

112479 - Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug: 26724: Improve link text for downloading the CSV file on patron import page.
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/tools/import_borrowers.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug: 26724: Improve link text for downloading the CSV file on patron import page.
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Attachment-to-Bug-26724---Improve-link-text-for-do-JLSMdI.patch
Comment 9 Lisette Scheer 2020-10-27 15:44:27 UTC
Created attachment 112582 [details] [review]
Attachment to Bug 26724 - Improve link text for downloading the CSV file on patron import page

Bug: Improve link text for downloading the CSV file on patron import page.

On tools > Patron Import there is a a link labelled "here" on the right
side that should be more descriptive. This patch updates the link.

To test:
1. Go to tools
2. Under patrons select "Import Patrons"
3. On the right side of the screen, observe the "here" link in the
second list item.
4. Apply patch.
5. Reload page
6. Observe the updated link text.
7. Sign off
Comment 10 David Nind 2020-10-27 17:56:53 UTC
Created attachment 112586 [details] [review]
Bug: Improve link text for downloading the CSV file on patron import page.

On tools > Patron Import there is a a link labelled "here" on the right
side that should be more descriptive. This patch updates the link.

To test:
1. Go to tools
2. Under patrons select "Import Patrons"
3. On the right side of the screen, observe the "here" link in the
second list item.
4. Apply patch.
5. Reload page
6. Observe the updated link text.
7. Sign off

https://bugs.koha-community.org/show_bug.cgi?id=26724

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 Katrin Fischer 2020-11-01 13:12:27 UTC
Created attachment 112802 [details] [review]
Bug 26724: Improve link text for downloading the CSV file on patron import page.

On tools > Patron Import there is a a link labelled "here" on the right
side that should be more descriptive. This patch updates the link.

To test:
1. Go to tools
2. Under patrons select "Import Patrons"
3. On the right side of the screen, observe the "here" link in the
second list item.
4. Apply patch.
5. Reload page
6. Observe the updated link text.
7. Sign off

https://bugs.koha-community.org/show_bug.cgi?id=26724

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2020-11-02 10:05:51 UTC
Pushed to master for 20.11, thanks to everybody involved!